import { Metrics } from '@aws-lambda-powertools/metrics';
export type AddMetricsFn = (...args: Parameters<Metrics['addMetric']>) => void;
/**
 * Manages the instantiation of a Metrics object (unless Metrics are disabled)
 */
export declare const metricsForComponent: (component: string, namespace?: string) => {
    metrics: Metrics;
    track: AddMetricsFn;
};
